Question about icade compatibility

10-10-2012, 12:45 PM
#1
Question about icade compatibility

I noticed that most of the games compatible with the icade are really basic games like you would find in a 1980s video arcade, but it's not compatible with the more advanced games that really need a controller to play well. Games like Gangstar and GTA 3.

Is there any chance that the more advanced games like the ones I mentioned will someday be compatible? I really need a controller for those games and the Flick or whatever it's called is not getting the job done.